LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Functions
lirc_client.h File Reference
Client API

### (6cb14fc 2015-08-03 11:20:42 +0200)

3-rd party application interface. More...

`#include <errno.h>`
`#include <stdarg.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <syslog.h>`
`#include <unistd.h>`
`#include "lirc/paths.h"`
`#include "lirc/lirc_config.h"`

Go to the source code of this file.

## Data Structures
struct | lirc_list
struct | lirc_code
struct | lirc_config
struct | lirc_config_entry
struct | lirc_cmd_ctx

## Macros
#define | LIRC_RET_SUCCESS (0)
#define | LIRC_RET_ERROR (-1)
#define | LIRC_ALL ((char*)(-1))

## Typedefs
typedef uint32_t | __u32

## Enumerations
enum | lirc_flags { none = 0x00, once = 0x01, quit = 0x02, mode = 0x04, ecno = 0x08, startup_mode = 0x10, toggle_reset = 0x20 }

## Functions
int | lirc_init (const char *prog, int verbose)
int | lirc_deinit (void)
int | lirc_readconfig (const char *path, struct lirc_config **config, int(check)(char *s))
void | lirc_freeconfig (struct lirc_config *config)
char * | lirc_nextir (void)
char * | lirc_ir2char (struct lirc_config *config, char *code)
int | lirc_nextcode (char **code)
int | lirc_code2char (struct lirc_config *config, char *code, char **string)
int | lirc_readconfig_only (const char *file, struct lirc_config **config, int(check)(char *s))
int | lirc_code2charprog (struct lirc_config *config, char *code, char **string, char **prog)
size_t | lirc_getsocketname (const char *id, char *buf, size_t size)
const char * | lirc_getmode (struct lirc_config *config)
const char * | lirc_setmode (struct lirc_config *config, const char *mode)
int | lirc_command_init (lirc_cmd_ctx *ctx, const char *fmt,...)
int | lirc_command_run (lirc_cmd_ctx *ctx, int fd)
void | lirc_command_reply_to_stdout (lirc_cmd_ctx *ctx)
int | lirc_send_one (int fd, const char *remote, const char *keysym)
int | lirc_simulate (int fd, const char *remote, const char *keysym, int scancode, int repeat)
int | lirc_get_remote_socket (const char *address, int port, int quiet)
int | lirc_get_local_socket (const char *path, int quiet)

## Detailed Description

3-rd party application interface.

Author
  Trent Piepho, Christoph Bartelmus

Definition in file lirc_client.h.